﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Microsoft.Win32;

namespace StreamsBeispiele
{
    /// <summary>
    /// Interaktionslogik für MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, RoutedEventArgs e)
        {
            // TODO: Exceptions behandeln
            double sum = 0.0;
            System.IO.StreamReader sr = new System.IO.StreamReader(@"C:\Users\lovi\Desktop\SolardatenMesswerte2010.txt");
            while(!sr.EndOfStream)
            {
                string s = sr.ReadLine();
                string[] p = s.Split(',');
                string z = p[27];
                double a = double.Parse(z, System.Globalization.CultureInfo.InvariantCulture);
                sum += a;
            }
            sr.Close(); // TODO: finally
        }

        private void button2_Click(object sender, RoutedEventArgs e)
        {
            // TODO: Exceptions behandeln
            System.IO.Packaging.Package pck = System.IO.Packaging.Package.Open(@"C:\Users\lovi\Desktop\SolardatenMesswerte2010.zip");
            System.IO.Packaging.PackagePart pp = pck.GetParts().First();
            double sum = 0.0;
            System.IO.StreamReader sr = new System.IO.StreamReader(pp.GetStream());
            while (!sr.EndOfStream)
            {
                string s = sr.ReadLine();
                string[] p = s.Split(',');
                string z = p[27];
                double a = double.Parse(z, System.Globalization.CultureInfo.InvariantCulture);
                sum += a;

                // oder unübersichtlich kompakt:
                //sum += double.Parse(sr.ReadLine().Split(',')[27], System.Globalization.CultureInfo.InvariantCulture);
            }
            pck.Close(); // TODO: finally
        }

        System.Windows.Threading.DispatcherTimer timerSend = new System.Windows.Threading.DispatcherTimer();
        System.IO.StreamWriter sw;

        private void button3_Click(object sender, RoutedEventArgs e)
        {
            sw = new System.IO.StreamWriter(@"C:\Users\lovi\Desktop\test.txt");
            timerSend.Interval = TimeSpan.FromSeconds(0.1);
            timerSend.Tick += record;
            timerSend.Start();
        }

        int i;

        void record(object sender, EventArgs e)
        {
            sw.WriteLine(i);
            sw.Flush();
            labelSchreiben.Content = i;
            i++;
        }

        private void button4_Click(object sender, RoutedEventArgs e)
        {
            timerSend.Stop();
            sw.Close();
        }
    }
}
